import { CSSProperties } from 'vue';
import { ConnectionLineType, HandleType, XYPosition, ConnectionMode, VFInternals, Transform } from '../../types';
declare const _default: import("vue").DefineComponent<{
    vf: {
        type: import("vue").PropType<VFInternals>;
        required: true;
    };
    connectionLineType: {
        type: import("vue").PropType<ConnectionLineType>;
    } & {
        default: ConnectionLineType;
    };
    connectionLineStyle: {
        type: import("vue").PropType<CSSProperties>;
    } & {
        default: () => {};
    };
    connectionHandleId: {
        type: import("vue").PropType<string>;
    };
    connectionNodeId: {
        type: import("vue").PropType<string>;
    };
    connectionHandleType: {
        type: import("vue").PropType<HandleType>;
    };
    connectionPosition: {
        type: import("vue").PropType<XYPosition>;
    };
    connectionMode: {
        type: import("vue").PropType<ConnectionMode>;
        required: true;
    };
    transform: {
        type: import("vue").PropType<Transform>;
        required: true;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    vf?: unknown;
    connectionLineType?: unknown;
    connectionLineStyle?: unknown;
    connectionHandleId?: unknown;
    connectionNodeId?: unknown;
    connectionHandleType?: unknown;
    connectionPosition?: unknown;
    connectionMode?: unknown;
    transform?: unknown;
} & {
    transform: Transform;
    connectionMode: ConnectionMode;
    connectionLineType: ConnectionLineType;
    connectionLineStyle: CSSProperties;
    vf: VFInternals;
} & {
    connectionNodeId?: string | undefined;
    connectionHandleId?: string | undefined;
    connectionHandleType?: HandleType | undefined;
    connectionPosition?: XYPosition | undefined;
}>, {
    connectionLineType: ConnectionLineType;
    connectionLineStyle: CSSProperties;
}>;
export default _default;
